Name:           python-etuples
Version:        0.3.9
Release:        %mkrel 1
Summary:        Python S-expression emulation using tuple-like objects
Group:          Development/Python

License:        AGPL
URL:            http://github.com/pythological/etuples
Source:         %{pypi_source etuples}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Python S-expression emulation using tuple-like objects.}

%description %_description

%package -n     python3-etuples
Summary:        %{summary}

%description -n python3-etuples %_description


%prep
%autosetup -p1 -n etuples-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files etuples


%check
%pyproject_check_import
%tox


%files -n python3-etuples -f %{pyproject_files}
%doc README.md


%changelog
* Mon Mar 04 2024 papoteur <papoteur> 0.3.9-1.mga10
+ Revision: 2047495
- imported for pytensor
- fix summary
- imported package python-etuples

